/* You can add global styles to this file, and also import other style files */

// Importing Bootstrap Grid
$grid-gutter-width: 0 !default;

@import "../node_modules/bootstrap/scss/bootstrap-reboot";
@import "../node_modules/bootstrap/scss/bootstrap-grid";

// Importing used fonts
@font-face {
    font-family: 'OpenSans';
    font-style: normal;
    font-weight: normal;
    src: url("../embedded_assets/fonts/OpenSans.woff");
}

.ft-opensans {
    font-family: 'OpenSans';
    font-style: normal;
    font-weight: normal;
}

@font-face {
    font-family: 'OpenSans Bold';
    font-style: normal;
    font-weight: bold;
    src: url("../embedded_assets/fonts/OpenSans-Bold.woff");
}

.ft-opensans-bold {
    font-family: 'OpenSans Bold';
    font-style: normal;
    font-weight: bold;
}

@font-face {
    font-family: 'OpenSans Italic';
    font-style: italic;
    src: url("../embedded_assets/fonts/OpenSans-Italic.woff");
}

.ft-opensans-italic {
    font-family: 'OpenSans Italic';
    font-style: italic;
}

@font-face {
    font-family: 'OpenSans Extra Bold';
    font-style: normal;
    font-weight: 800;
    src: url("../embedded_assets/fonts/OpenSans-Bold.woff");
}

.ft-opensans-extra-bold {
    font-family: 'OpenSans Extra Bold';
    font-style: normal;
    font-weight: 800;
}

@font-face {
    font-family: 'OpenSans Light';
    font-style: normal;
    font-weight: 300;
    src: url("../embedded_assets/fonts/OpenSans-Light.woff");
}

.ft-opensans-light {
    font-family: 'OpenSans Light';
    font-style: normal;
    font-weight: 300;
}

@font-face {
    font-family: 'KeepCalm Medium';
    font-style: normal;
    font-weight: normal;
    src: url("../embedded_assets/fonts/KeepCalm-Medium.woff");
}

.ft-keepcalm-medium {
    font-family: 'KeepCalm Medium';
    font-style: normal;
    font-weight: normal;
}

.ft-underline {
    text-decoration: underline;
}

@for $i from 1 through 10 {
    .mt-#{$i * 10} {
        margin-top: $i * 10px;
    }

    .mr-#{$i * 10} {
        margin-right: $i * 10px;
    }

    .mb-#{$i * 10} {
        margin-bottom: $i * 10px;
    }

    .ml-#{$i * 10} {
        margin-left: $i * 10px;
    }

    .m-#{$i * 10} {
        margin: ($i * 10px) !important;
    }

    .p-#{$i * 10} {
        padding: ($i * 10px) !important;
    }

    .pdt-#{$i * 10} {
        padding-top: ($i * 10px) !important;
    }

    .pdb-#{$i * 10} {
        padding-bottom: ($i * 10px) !important;
    }

    .pdl-#{$i * 10} {
        padding-left: ($i * 10px) !important;
    }

    .pdr-#{$i * 10} {
        padding-right: ($i * 10px) !important;
    }

    .wp-#{$i * 10} {
        width: $i * 10%;
    }

    @media screen and (min-width: 769px) {
        .mt-lg-#{$i * 10} {
            margin-top: ($i * 10px) !important;
        }

        .mr-lg-#{$i * 10} {
            margin-right: ($i * 10px) !important;
        }

        .mb-lg-#{$i * 10} {
            margin-bottom: ($i * 10px) !important;
        }

        .ml-lg-#{$i * 10} {
            margin-left: ($i * 10px) !important;
        }

        .m-lg-#{$i * 10} {
            margin: ($i * 10px) !important;
        }

        .p-lg-#{$i * 10} {
            padding: ($i * 10px) !important;
        }

        .wp-lg-#{$i * 10} {
            width: ($i * 10%) !important;
        }
    }

    @media screen and (max-width: 768px) {
        .mt-xs-#{$i * 10} {
            margin-top: ($i * 10px) !important;
        }

        .mr-xs-#{$i * 10} {
            margin-right: ($i * 10px) !important;
        }

        .mb-xs-#{$i * 10} {
            margin-bottom: ($i * 10px) !important;
        }

        .ml-xs-#{$i * 10} {
            margin-left: ($i * 10px) !important;
        }

        .m-xs-#{$i * 10} {
            margin: ($i * 10px) !important;
        }

        .p-xs-#{$i * 10} {
            padding: ($i * 10px) !important;
        }

        .wp-xs-#{$i * 10} {
            width: ($i * 10%) !important;
        }
    }
}

@for $i from 10 through 70 {
    .ft-#{$i} {
        font-size: $i + 0px;
        line-height: $i + 8px;

        @media screen and (max-width: 768px) {
            font-size: $i - 3px + 0px;
            line-height: $i - 3px + 8px;
        }
    }

    @media screen and (max-width: 768px) {
        .ft-xs-#{$i} {
            font-size: ($i + 0px) !important;
            line-height: ($i + 8px) !important;
        }
    }
}

/* You can add global styles to this file, and also import other style files */
html {
    height: 100%;

    // Desabilita seleção de conteúdo;
    * {
        user-select: none;
        -webkit-user-select: none;
        -khtml-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        -webkit-user-drag: none;
        -webkit-user-drag: none;
        -ms-user-select: none;
    }
}

body {
    @extend .ft-opensans;

    @extend .ft-16;

    background-color: #ddd !important;
    color: #cccccc;
    display: flex;
    overflow: hidden;
    position: fixed;
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;

    > img {
        display: none;
    }
}

img {
    max-width: 100%;
}

ul, ol {
    margin: 0;
}

.full-size {
    background-color: #FFFFFFEF;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;

    &.centered {
        align-items: center;
        display: flex;
        justify-content: center;
    }

    &.covered {
        background-color: #FFFFFF;
    }
}

// Removendo borda pontilhada quando um item é clicado.
*:focus {
    outline: 0 !important;
}

.no-margin {
    margin: 0 !important;
}

.mb-5 {
    margin-bottom: 5px !important;
}

.char-full-margin-neg {
    margin-top: -275px;

    @media (max-width: 768px) {
        margin-top: 0;
    }
}

$colors: #221D1F, #D68933, #ECC72D, #C2C9CE, #3E0009, #D9D5D0, #796A7E, #5E7480, #5E715B, #FFFFFF, #7F7F7F, #E8E8E8, #AFDD73, #003366, #4D4D4D, #FFF4C5, #83A24A;

$contrast-colors: #FFFFFF, #FFFFFF, #221D1F, #FFFFFF, #FFFFFF, #58595B, #FFFFFF, #FFFFFF, #FFFFFF, #FFFFFF, #FFFFFF, #421658, #FFFFFF, #FFFFFF, #FFFFFF, #3E0009, #FFFFFF;

.box {
    @extend .dp-flex;

    // @extend .ft-tahoma;

    // @extend .ft-16;

    padding: 25px;

    &.dir-row {
        flex-direction: row;
    }

    &.start {
        align-items: flex-start;
        justify-content: flex-start;
    }

    &.small {
        padding: 5px 25px;
    }

    &.rounded-right {
        border-top-right-radius: 20px;
        border-bottom-right-radius: 20px;
    }
}

.button {
    @extend .ft-opensans-bold;

    align-items: center;

    cursor: pointer;
    display: flex;
    justify-content: center;
    padding: 8px 25px;
    text-align: center;
}

@for $i from 1 through length($colors) {
    .color-#{$i} {
        color: nth($colors, $i) !important;
    }

    .bg-color-#{$i} {
        background-color: nth($colors, $i) !important;
        // color: nth($contrast-colors, $i) !important;
    }

    .box-#{$i} {
        @extend .box;

        background-color: nth($colors, $i);
        color: nth($contrast-colors, $i);
    }

    .button-#{$i} {
        @extend .button;

        background-color: nth($colors, $i);        
        color: nth($colors, 1);
        
        &:not(.no-border) {
            border-left: 6px solid darken(nth($colors, $i), 10%);
        }
    }
}

.ft-title {
    // @extend .ft-avenir-next-lt-pro-bold;

    // @extend .ft-30;

    @extend .color-1;
}

.ft-title-inv {
    // @extend .ft-avenir-next-lt-pro-bold;

    // @extend .ft-30;

    @extend .color-6;
}

.pos-initial {
    position: initial;
}

.dp-block {
    display: block;
}

.dp-inline-block {
    display: inline-block !important;
}

.dp-flex {
    display: flex;
    align-items: center;
    // flex-direction: column;
    // justify-content: center;

    .flex-row {
        flex-direction: row;
    }

    .flex-start {
        align-items: flex-start;
        justify-content: flex-start;
    }

    &.a-start {
        align-items: flex-start !important;
    }

    &.j-start {
        justify-content: flex-start !important;
    }

    &.j-space-b {
        justify-content: space-between !important;
    }

    &.j-space-a {
        justify-content: space-around !important;
    }

    &.j-space-e {
        justify-content: space-evenly !important;
    }

    &.j-center {
        justify-content: center !important;
    }

    .center {
        align-items: center;
        justify-content: center;
    }

    .flex-end {
        align-items: flex-end;
        justify-content: flex-end;
    }

    .flex-wrap {
        flex-wrap: wrap;
    }

    .fd-column {
        flex-direction: column;
        flex-wrap: wrap;
    }
}

.as-start {
    align-self: flex-start;
}

.as-end {
    align-self: flex-end;
}

.ta-left {
    text-align: left;
}

.ta-center {
    text-align: center;
}

.ta-right {
    text-align: right;
}

.ai-center {
    align-items: center !important;
}

.t-lower {
    text-transform: lowercase;
}

.full-filled {
    width: 100%;
    height: 100%;

    @media (max-width: 768px) {
        width: initial;
        height: initial;
    }
}

@media screen and (min-width: 769px) {
    .dp-flex {
        align-items: center;

        .flex-lg-row {
            flex-direction: row;
        }

        .flex-lg-start {
            align-items: flex-start;
            justify-content: flex-start;
        }

        .flex-lg-end {
            align-items: flex-end;
            justify-content: flex-end;
        }
    }

    .triangle-lg {
        width: 0;
        height: 0;
        border-top: 240px solid transparent;
        border-bottom: 240px solid transparent;
        border-left: 230px solid #0071CE;
        margin-right: 20px;

        > img {
            position: absolute;
            top: 50%;
            left: 42%;
            transform: translate(-50%, -50%);
        }
    }

    .hidden-lg {
        display: none;
    }
}

@media screen and (max-width: 768px) {
    .dp-flex {
        .flex-xs-row {
            flex-direction: row;
        }

        .flex-xs-start {
            align-items: flex-start;
            justify-content: flex-start;
        }

        .flex-xs-end {
            align-items: flex-end;
            justify-content: flex-end;
        }

        .flex-xs-center {
            align-items: center !important;
        }

        &.flex-xs-center {
            align-items: center !important;
        }
    }

    .triangle-lg {
        background-color: #0071CE;
        text-align: center;
        padding: 20px;
        width: 100%;
    }

    .min-width-xs-initial {
        min-width: unset !important;
    }

    .hidden-xs {
        display: none;
    }
}

.p-0 {
    padding: 0 !important;
}

button {
    outline: 0;
    border: 0;
}

ul {
    &.no-style {
        padding: 0;

        li {
            list-style: none;
        }
    }
}
